## gnome-settings-daemon 50~alpha

=== debian/changelog ===
gnome-settings-daemon (50~alpha-0ubuntu2) resolute; urgency=medium

  * d/p/gvc-Don-t-crash-with-newer-pipewire-and-fix-device-select.patch:
    Fix a crash in GNOME shell when switching to HFP profile of
    Bluetooth headset. (LP: #2137545)

 -- Charles <charles05@canonical.com>  Wed, 21 Jan 2026 14:56:16 +0000

gnome-settings-daemon (50~alpha-0ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
      - Drop Build-Depends: xserver-xorg-input-wacom
    + debian/patches/debian:
      - power-test-Disable-known-broken-test.patch
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
    + debian/watch:
      - Look for alpha releases
  * New upstream release
  * d/p/d/power-test-Disable-known-broken-test.patch: Drop unnecessary patch
  * d/p/u: Refresh patches
  * d/control: Add new Build-Depends for the test suite

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 13 Jan 2026 14:52:13 +0100

gnome-settings-daemon (49.0-1ubuntu3) questing; urgency=medium

  * d/maintscript: Remove obsolete autostart desktop files

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 26 Sep 2025 14:05:46 +0200

=== debian/control ===
Source: gnome-settings-daemon
Section: gnome
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gnome,
               gnome-session-bin <!nocheck>,
               gsettings-desktop-schemas-dev (>= 46~beta),
               intltool,
               libaccountsservice-dev (>= 0.6.34),
               libasound2-dev [linux-any],
               libcanberra-dev,
               libcolord-dev [linux-any],
               libcups2-dev,
               libfontconfig-dev,
               libgcr-4-dev [linux-any],
               libgeoclue-2-dev,
               libgeocode-glib-dev (>= 3.26.3),
               libgio-2.0-dev,
               libglib2.0-dev,
               libglib2.0-dev:native,
               libgnome-desktop-4-dev,
               libgudev-1.0-dev [linux-any],
               libgweather-4-dev (>= 4.1),
               libibus-1.0-dev,
               liblcms2-dev,
               libmm-glib-dev [linux-any],
               libnm-dev [linux-any],
               libnotify-dev,
               libpolkit-gobject-1-dev (>= 0.114),
               libpulse-dev,
               libsystemd-dev [linux-any],
               libupower-glib-dev (>= 0.99.12),
               libx11-dev,
               libxext-dev,
               libxfixes-dev (>= 1:6.0),
               libxi-dev,
               libxt-dev,
               meson,
               mutter <!nocheck>,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               systemd-dev [linux-any],
               xkb-data,
               xwayland <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://gitlab.gnome.org/GNOME/gnome-settings-daemon
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/latest
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/latest

Package: gnome-settings-daemon
Architecture: any
Depends: default-logind [linux-any] | logind [linux-any],
         gnome-settings-daemon-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 46~beta),
         libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
         pipewire-audio | pulseaudio,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: iio-sensor-proxy,
            pipewire-audio,
            pkexec,
            systemd-oomd,
            x11-xserver-utils
Suggests: usbguard
Breaks: gnome-shell (<< 47~rc),
        mutter-common (<< 47~rc),
        phosh (<< 0.50~rc)
Description: daemon handling the GNOME session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a GNOME session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: gnome-settings-daemon-common
Architecture: all
Depends: ${misc:Depends}
Provides: gnome-settings-daemon-schemas (= ${source:Version})
Breaks: gdm (<< 49~alpha.1),
        gnome-initial-setup (<< 49~alpha),
        gnome-session (<< 49~alpha.1),
        gnome-shell (<< 49~alpha.1),
        ubuntu-session (<< 49~alpha.1)
Description: daemon handling the GNOME session settings - common files
 This package contains GSettings schemas and other architecture-independent
 files for GNOME Settings Daemon. It is probably not interesting on its own for
 end users, but packages may depend on this if they only need to read and write
 settings & don't themselves care if the settings daemon is actually running or
 not.

Package: gnome-settings-daemon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev,
         ${misc:Depends}
Description: Headers for building applications communicating with gnome-settings-daemon
 This package contains header files required to build applications that
 communicate with the GNOME settings daemon over D-Bus.

=== debian/watch ===
Version: 5

Source: https://download.gnome.org/sources/@PACKAGE@/cache.json
Matching-Pattern: [\d.]+/@PACKAGE@-([\d.]+\.?(?:alpha|beta|rc)?[\d.]*)@ARCHIVE_EXT@
Download-Url-Mangle: s|cache.json||
Search-Mode: plain
Uversion-Mangle: s/\.(alpha|beta|rc)/~$1/

## gnome-settings-daemon 50~beta

=== meson_options.txt ===
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory')
option('systemd', type: 'boolean', value: true, description: 'Enable systemd integration')
option('elogind', type: 'boolean', value: false, description: 'Use elogind')
option('alsa', type: 'boolean', value: true, description: 'build with ALSA support (not optional on Linux platforms)')
option('gudev', type: 'boolean', value: true, description: 'build with gudev device support (not optional on Linux platforms)')
option('cups', type: 'boolean', value: true, description: 'build with CUPS support')
option('network_manager', type: 'boolean', value: true, description: 'build with NetworkManager support (not optional on Linux platforms)')
option('rfkill', type: 'boolean', value: true, description: 'build with rfkill support (not optional on Linux platforms)')
option('smartcard', type: 'boolean', value: true, description: 'build with smartcard support')
option('usb-protection', type: 'boolean', value: true, description: 'build with usb-protection support')
option('wwan', type: 'boolean', value: true, description: 'build with WWAN support')
option('gcr3', type: 'boolean', value: false, description: 'build with gcr3, otherwise gcr4 is used')
option('colord', type: 'boolean', value: true, description: 'build with colord support')
option('xwayland', type: 'boolean', value: true, description: 'build with Xwayland support')

=== debian/changelog ===
gnome-settings-daemon (50~beta-0ubuntu2) resolute; urgency=medium

  * d/p: Fix tests against mutter 50~beta
  * d/tests: Add autopkgtests

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 26 Feb 2026 21:51:09 +0100

gnome-settings-daemon (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/control: Bump libnotify dependency
  * d/p: Drop patch applied upstream
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 23 Feb 2026 17:32:09 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                liblcms2-dev,
                libmm-glib-dev [linux-any],
                libnm-dev [linux-any],
-               libnotify-dev,
+               libnotify-dev (>= 0.8.7),
                libpolkit-gobject-1-dev (>= 0.114),
                libpulse-dev,
                libsystemd-dev [linux-any],

=== debian/tests/control ===
# compiles g-s-d from source, but runs mutter and gnome-session from the host
Test-Command: dh_auto_test
Features: test-name=integration-tests
Depends: @builddeps@
Restrictions: build-needed
